Subject: Re: [PATCH 2/2] rheap: move rheap.c from arch/powerpc/lib/ to lib/

From: Scott Wood <[email-masked]>
Date: Tue, 7 Jul 2015 22:27:57 -0500

On Tue, 2015-07-07 at 22:26 -0500, Zhao Qiang-B45475 wrote:
> Now the point is, genalloc is not so proper to qe muram while rheap is 
> written to manage muram,

rheap is not specific to muram.

> if use genalloc instead of rheap, there will be amounts of work to do.

Not much.  I think I've spent more time responding to continual e-mails on 
this topic than it would have taken to convert it. :-P

> I have a suggestion, how about to put rheap under drivers/soc/qe, because 
> rheap is 
> To manage muram when it is added to sdk.

No.

-Scott